Subject: bug#28104: 25.2; autoload defcustom should put safe-local-variable

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Jul 2021 15:56:32 +0200

Allen Li <[email-masked]> writes:

> You could omit the :safe in defcustom, I suppose, but the
> inconsistency bugs me; defcustom can be autoloaded and defcustom can
> set safe-local-variable, but not both at the same time. 

Yeah, I think it makes sense to propagate the :safe setting to the
loaddefs file when doing this (even if it's slightly unusual).  So I've
now made this change in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no